From: "Ewan Parker" <ewan@chimera.u-net.com>
Subject: Re: (newbie)rollback a drop table
Date: 2000/06/18
Message-ID: <1121.204T2504T8866003ewan@chimera.u-net.com>#1/1
References: <8igeu0$ajk$1@news3.isdnet.net>
X-Complaints-To: news@u-net.net
X-Trace: newsr2.u-net.net 961338679 195.102.200.110 (Sun, 18 Jun 2000 15:31:19 BST)
Organization: (Posted via) U-NET Internet Ltd.
NNTP-Posting-Date: Sun, 18 Jun 2000 15:31:19 BST
Newsgroups: comp.databases.oracle.misc


On 17-Jun-00 18:21:05, Jean-Michel Scheiwiler said about (newbie)rollback a
drop table:
> Is there a way to cancel the effect of a drop table ?
> Plz help me.

There are two ways to undo this, and both require an adequate backup and
recovery strategy.

1. If the database is running "archivelog", then all datafiles can be restored
to a point prior to the drop, and then the database can be recovered to the
point in time "just before" the drop table was issued, and then opened. 
Calculating when "just before" is may not be exact unless analysing of the log
files is done.  Assuming there is a gap, you would lose any changes between
the SCN recovered upto, and the SCN when the drop was issued.  This is a
likely scenario for a production database.

2. If the database is not running "archivelog", then the table will have to
imported from the last backup generated from "export".  You will lose any
changes made since the export was taken.  This is a likely scenario for a
development database, where data loss is not so critical.

Good luck,
Ewan.

--
PGP footprint: 3A 82 19 D7 7A 61 D3 DC  4D F3 87 B2 27 99 BE 77



